package com.zj365.health.act.binddevice

import com.alibaba.android.arouter.facade.annotation.Route
import com.xty.common.arouter.ARouterUrl
import com.zj365.health.adapter.binddevice.BindDeviceHistoryAdapter
import com.zj365.health.vm.HistoryDeviceVm

@Route(path = ARouterUrl.XUETANGYI_BIND_HISTORY)
class XuetangDeviceHistoryAct : BaseDeviceHistoryAct<HistoryDeviceVm>() {

    private var userId:String?= null

    override fun initAdapter() {
        mAdapter = BindDeviceHistoryAdapter()
        super.initAdapter()
        binding.title.mTvTitle.text="血糖历史记录"
    }

    override fun initData() {
        super.initData()
        userId = intent.getStringExtra("userId")
    }

    override fun loadData() {
        mViewModel.getDeviceHistory(userId, BaseDeviceBindListAct.DeviceType.XUETANG.type,date,page)
    }
}